// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The eoscInfo of which env maps to which file can be found in `.angular-cli.json`.

import {EnvProperties} from "../app/openaireLibrary/utils/properties/env-properties";
import {common, commonDev} from "../app/openaireLibrary/utils/properties/environments/environment";

let props: EnvProperties = {
  environment: "development",
  adminToolsPortalType: "faircore4eosc",
  adminToolsCommunity: "faircore4eosc",
  dashboard: "faircore4eosc",
  enablePiwikTrack: false,
  useCache: false,
  useLongCache: false,
  showAddThis: true,
  baseLink : "",
  domain:"https://rdgraph.openaire.eu",
  piwikSiteId: "772",

  enableEoscDataTransfer: false,
  useHelpTexts: false,
  searchLinkToService: "/search/service?serviceId=",
  searchLinkToServices: "/search/find/services",
  searchLinkToAdvancedServices: "/search/advanced/services",
  reCaptchaSiteKey: null,
  footerGrantText : "This OpenAIRE gateway is part of a project that has received funding from the European Union's Horizon 2020 research and innovation programme under grant agreements No. 777541 and 101017452"
};

export let properties: EnvProperties = {
  ...props,  ...common, ...commonDev
}